import java.sql.BaseQuery;
import java.sql.DataSet;
import java.sql.Select;
public interface UserQueries extends BaseQuery {

    // Select all users
    @Select(sql = "SELECT userId, firstName, lastName FROM Users", 
            readOnly=false, connected=false, tableName="Users")
    DataSet<User> getAllUsers();

    // Select user by name */
    @Select(sql = "SELECT userId, firstName, lastName FROM Users "
            + "WHERE userName=?", readOnly=false, connected=false,
            tableName = "Users")
    DataSet<User> getUserByName(String userName);

    // Delete user
    @Update("DELETE Users WHERE firstName={firstName} " +
            "AND lastName={lastName}")
    int deleteUser(String firstName, String lastName);
}

class User {
    public String userId;
    public String firstName;
    public String lastName;
    
}